import _Object$getOwnPropertyDescriptor from "@babel/runtime-corejs2/core-js/object/get-own-property-descriptor";
import "core-js/modules/es6.number.constructor";
import _inheritsLoose from "../../inheritsLoose";
import _defineProperty from "@babel/runtime-corejs2/helpers/defineProperty";
import _applyDecoratedDescriptor from "@babel/runtime-corejs2/helpers/applyDecoratedDescriptor";

var _dec, _class, _init, _class2, _temp;

import Intact from 'intact-angular';
import template from './index.vdt';
import Step from './step';
import '../../styles/kpc.styl';
import './index.styl';
var Steps = (_dec = Intact.template(), (_class = (_temp = _class2 =
/*#__PURE__*/
function (_Intact) {
  _inheritsLoose(Steps, _Intact);

  function Steps() {
    return _Intact.apply(this, arguments) || this;
  }

  var _proto = Steps.prototype;

  _proto.defaults = function defaults() {
    return {
      value: undefined,
      status: 'normal',
      type: 'default',
      clickable: false
    };
  };

  _proto._changeIndex = function _changeIndex(index) {
    if (this.get('clickable')) {
      this.set('value', index);
    }
  };

  return Steps;
}(Intact), _defineProperty(_class2, "template", template), _defineProperty(_class2, "propTypes", {
  value: [Number, String],
  status: ['normal', 'error'],
  type: ['default', 'line', 'simple'],
  clickable: Boolean
}), _temp), (_applyDecoratedDescriptor(_class, "template", [_dec], (_init = _Object$getOwnPropertyDescriptor(_class, "template"), _init = _init ? _init.value : undefined, {
  enumerable: true,
  configurable: true,
  writable: true,
  initializer: function initializer() {
    return _init;
  }
}), _class)), _class));
export { Steps as default };
export { Steps, Step };